Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyDoc

-     public interface GroovyDoc
      extends Comparable

  Base contract for documented program elements exposed by Groovydoc.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `commentText()` Returns the processed comment text for this element.
    `` | `public String` | `firstSentenceCommentText()` Returns the first sentence of the processed comment text.
    `` | `public String` | `getRawCommentText()` Returns the raw documentation comment for this element.
    `` | `public boolean` | `isAnnotationType()` Indicates whether this element represents an annotation type.
    `` | `public boolean` | `isAnnotationTypeElement()` Indicates whether this element represents an annotation type member.
    `` | `public boolean` | `isClass()` Indicates whether this element represents a class.
    `` | `public boolean` | `isConstructor()` Indicates whether this element represents a constructor.
    `` | `public boolean` | `isDeprecated()` Indicates whether this element is marked as deprecated.
    `` | `public boolean` | `isEnum()` Indicates whether this element represents an enum type.
    `` | `public boolean` | `isEnumConstant()` Indicates whether this element represents an enum constant.
    `` | `public boolean` | `isError()` Indicates whether this element represents an error type.
    `` | `public boolean` | `isException()` Indicates whether this element represents an exception type.
    `` | `public boolean` | `isField()` Indicates whether this element represents a field.
    `` | `public boolean` | `isIncluded()` Indicates whether this element is included in the generated output.
    `` | `public boolean` | `isInterface()` Indicates whether this element represents an interface.
    `` | `public boolean` | `isMethod()` Indicates whether this element represents a method.
    `` | `public boolean` | `isOrdinaryClass()` Indicates whether this element represents an ordinary class.
    `` | `public boolean` | `isRecord()` Indicates whether this element represents a record type.
    `` | `public String` | `name()` Returns the simple name of this documented element.
    `` | `public void` | `setRawCommentText(String arg0)` Replaces the raw documentation comment for this element.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface Comparable` | `compareTo`

- - ### Method Detail

    - #### public String commentText()

      Returns the processed comment text for this element.

      Returns:
        the rendered comment text

    - #### public String firstSentenceCommentText()

      Returns the first sentence of the processed comment text.

      Returns:
        the first sentence summary

    - #### public String getRawCommentText()

      Returns the raw documentation comment for this element.

      Returns:
        the raw comment text

    - #### public boolean isAnnotationType()

      Indicates whether this element represents an annotation type.

      Returns:
        `true` if this element is an annotation type

    - #### public boolean isAnnotationTypeElement()

      Indicates whether this element represents an annotation type member.

      Returns:
        `true` if this element is an annotation type element

    - #### public boolean isClass()

      Indicates whether this element represents a class.

      Returns:
        `true` if this element is a class

    - #### public boolean isConstructor()

      Indicates whether this element represents a constructor.

      Returns:
        `true` if this element is a constructor

    - #### public boolean isDeprecated()

      Indicates whether this element is marked as deprecated.

      Returns:
        `true` if this element is deprecated

    - #### public boolean isEnum()

      Indicates whether this element represents an enum type.

      Returns:
        `true` if this element is an enum

    - #### public boolean isEnumConstant()

      Indicates whether this element represents an enum constant.

      Returns:
        `true` if this element is an enum constant

    - #### public boolean isError()

      Indicates whether this element represents an error type.

      Returns:
        `true` if this element is an error

    - #### public boolean isException()

      Indicates whether this element represents an exception type.

      Returns:
        `true` if this element is an exception

    - #### public boolean isField()

      Indicates whether this element represents a field.

      Returns:
        `true` if this element is a field

    - #### public boolean isIncluded()

      Indicates whether this element is included in the generated output.

      Returns:
        `true` if this element is included

    - #### public boolean isInterface()

      Indicates whether this element represents an interface.

      Returns:
        `true` if this element is an interface

    - #### public boolean isMethod()

      Indicates whether this element represents a method.

      Returns:
        `true` if this element is a method

    - #### public boolean isOrdinaryClass()

      Indicates whether this element represents an ordinary class.

      Returns:
        `true` if this element is an ordinary class

    - #### public boolean isRecord()

      Indicates whether this element represents a record type.

      Returns:
        `true` if this element is a record

    - #### public String name()

      Returns the simple name of this documented element.

      Returns:
        the element name

    - #### public void setRawCommentText(String arg0)

      Replaces the raw documentation comment for this element.

      Parameters:
        `arg0` - the raw comment text to store